### Method

# WebKit2WebExtension DOMElement get_elements_by_class_name

deprecated: 2.12

#### Declaration [src]

    WebKitDOMNodeList*
    webkit_dom_element_get_elements_by_class_name (
      WebKitDOMElement* self,
      const gchar* class_name
    )

#### Description

No description available.

Deprecated since: 2.12

Use `webkit_dom_element_get_elements_by_class_name_as_html_collection()` instead.

#### Parameters

`class_name`

  Type: `const gchar*`

  A #gchar with the tag name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitDOMNodeList`

A `WebKitDOMNodeList`.

The caller of the method takes ownership of the data, and is responsible for freeing it.